clear all
set more off
set maxvar 32000
capture log close

cd "$rootPath/data"

*Import file with actual BOJ reserves rather than quarterly cash proxy
use data_master_2015_BOJ_reserves, clear

log using "$rootPath/logfiles/Table_12_determinants_regression.log", replace

local controls1 = "reserves2015_assets2015 "
local controls2 = "reserves2015_assets2015 wsltime_deps2015_assets2015 "
local controls3 = "reserves2015_assets2015 wsltime_deps2015_assets2015 roaa2015 div_yield rwa_to_assets2015 equity_to_assets2015 assets2015 assets2 manuf2015 services2015 mining2015  transport2015 retail2015 finance2015 realestate2015 ag2015 other2015 localgov2015 foreign2015"
 
foreach dv of varlist price_ch_40m  price_ch_feb2 {
	reg `dv' `controls1',r
	reg `dv' `controls2',r
	reg `dv' `controls3',r
} 

log close

