clear all
capture log close
set more off
cd "$rootPath/data"

use data_master, clear

log using "$rootPath/logfiles/Table_2_summary_stats.log", replace


drop if missing(post_price_ch_40m)
drop if missing(price_ch_40m)
drop if missing(nim)  //excludes securities companies with sparse data that are dropped in regressions

gen loans_7plus_share = loans_7plus/total_loans
carryforward loans_7plus_share, replace
keep if date == tq(2015q4) | date == tq(2016q4)

egen top_tercile = pctile(price_ch_40m), p(67)
egen bot_tercile = pctile(price_ch_40m), p(33)
gen tercile_H = price_ch_40m >= top_tercile 
gen tercile_L = price_ch_40m <= bot_tercile 
gen tercile = 2 if tercile_H==1
replace tercile = 1 if tercile_L==1


tabstat nim roaa div_yield loans_assets assets ///
	yld_total_loans loans_7plus_share car zscore sd_return ///
	dist_default kdp_5yr_pct if date == tq(2015q4), stat(mean sd n)

tabstat nim roaa div_yield loans_assets assets ///
	yld_total_loans loans_7plus_share car zscore sd_return ///
	dist_default kdp_5yr_pct if date == tq(2016q4), stat(mean sd n)	
	
tabstat nim roaa div_yield loans_assets assets ///
	yld_total_loans loans_7plus_share car zscore sd_return ///
	dist_default kdp_5yr_pct if date == tq(2015q4) & tercile==2, stat(mean sd n)	

tabstat nim roaa div_yield loans_assets assets ///
	yld_total_loans loans_7plus_share car zscore sd_return ///
	dist_default kdp_5yr_pct if date == tq(2016q4) & tercile==2, stat(mean sd n)	
	
tabstat nim roaa div_yield loans_assets assets ///
	yld_total_loans loans_7plus_share car zscore sd_return ///
	dist_default kdp_5yr_pct if date == tq(2015q4) & tercile==1, stat(mean sd n)	

tabstat nim roaa div_yield loans_assets assets ///
	yld_total_loans loans_7plus_share car zscore sd_return ///
	dist_default kdp_5yr_pct if date == tq(2016q4) & tercile==1, stat(mean sd n)	
	
log close
