clear all
set more off
set maxvar 32000
capture log close

use bank_industry_time_panel,clear

gen ln_vol = ln(vol)
sort ticker industry date

egen ticker_ind = group(ticker industry) 

log using "$rootPath/logfiles/Table_7_industry_loan_supply_regs.log" , replace
local covars "post_roaa post_loans_assets post_div_yield post_car post_assets post_assets2"
foreach dv of varlist ln_vol {
	 reghdfe `dv' post_price_ch_40m  , absorb(ticker i.industry#i.date)  cluster(ticker_ind) 
	 reghdfe `dv' post_price_ch_40m `covars' , absorb(ticker i.industry#i.date )  cluster(ticker_ind) 
	 reghdfe `dv' post_price_ch_40m , absorb(ticker i.industry#i.date#i.region_id2)   cluster(ticker_ind) 
	 reghdfe `dv' post_price_ch_40m `covars' , absorb(ticker i.industry#i.date#i.region_id2)   cluster(ticker_ind)  
	 //reghdfe `dv' post_price_ch_40m_abn_all   , absorb(ticker  i.industry#i.date#i.region_id2)  cluster(ticker_ind)  
	 //reghdfe `dv' post_price_ch_feb2   , absorb(ticker i.industry#i.date#i.region_id2)  cluster(ticker_ind)  
}


***********
*********
***		Loan Supply Regressions Average Pre vs Average Post
*********
***********

clear all
set more off
set maxvar 32000

cd "$rootPath/data"

use bank_industry_time_panel, clear

collapse (mean) vol-post_price_ch_40m_abn_all region_id region_id2, by(ticker industry post)
egen date = group(post)

gen ln_vol = ln(vol) 
sort ticker industry date

egen ticker_ind = group(ticker industry) 

local covars "post_roaa post_loans_assets post_div_yield post_car post_assets post_assets2"
foreach dv of varlist ln_vol {
	 reghdfe `dv' post_price_ch_40m  , absorb(ticker i.industry#i.date)  cluster(ticker_ind) 
	 reghdfe `dv' post_price_ch_40m `covars' , absorb(ticker i.industry#i.date )  cluster(ticker_ind) 
	 reghdfe `dv' post_price_ch_40m , absorb(ticker i.industry#i.date#i.region_id2 )   cluster(ticker_ind) 
	 reghdfe `dv' post_price_ch_40m `covars' , absorb(ticker i.industry#i.date#i.region_id2)   cluster(ticker_ind)  
	 //reghdfe `dv' post_price_ch_40m_abn_all   , absorb(ticker i.industry#i.date#i.region_id2)  cluster(ticker_ind)  
	 //reghdfe `dv' post_price_ch_feb2   , absorb(ticker i.industry#i.date#i.region_id2)  cluster(ticker_ind)   
}

log close

