clear all
capture log close
set more off
cd "$rootPath/data"

use data_master, clear


log using "$rootPath/logfiles/Table_8_Robustness.log", replace

*********************************************
*      Table 8 col  1                       *
*********************************************

foreach dv of varlist ln_nim ln_eps ln_net_inc sd_return ln_dist_default ln_kdp_5yr_pct  ln_zscore ln_assets ln_car  yld_total_loans  ln_loans_7plus  {    
qui areg `dv' post_price_ch_40m_abn_all i.date, absorb(ticker) vce(robust)
disp _newline "*****" _newline "Uncollapsed" _newline "`dv'" _newline "*****"
est tab, keep(post_price_ch_40m_abn_all) b(%7.4f) se(%7.4f) p(%7.2f) 
qui areg `dv' post_price_ch_feb2 i.date, absorb(ticker) vce(robust)
disp _newline "*****" _newline "Uncollapsed" _newline "`dv'" _newline "*****"
est tab, keep(post_price_ch_feb2) b(%7.4f) se(%7.4f) p(%7.2f) 
}


collapse (mean) region_id2 ln_avg_yld_total_loans yld_total_loans ln_avg_total_loans ln_avg_loans_7plus ln_avg_loans_10plus ln_avg_car car  ln_avg_assets  ln_avg_nim nim ln_avg_net_inc avg* ln_avg_eps eps post_roaa post_div_yield post_loans_assets post_car post_assets post_assets2 post_yld_total_loans post_price_ch_40m post_price_ch_40m_abn_all post_price_ch_feb2 zscore ln_avg_zscore dist_default ln_avg_dist_default implied_rating_id kdp_5yr_pct ln_avg_kdp_5yr_pct sd_return, by (ticker post)
egen date=group(post)
tsset ticker date

*********************************************
*      Table 8 col  2                       *
*********************************************

foreach dv of varlist ln_avg_nim  ln_avg_eps ln_avg_net_inc avg_sd_return ln_avg_dist_default ln_avg_kdp_5yr_pct ln_avg_zscore ln_avg_assets ln_avg_car  avg_yld_total_loans ln_avg_loans_7plus {          
qui areg `dv' post_price_ch_40m_abn_all i.date, absorb (ticker) 
disp _newline "*****" _newline "Collapsed" _newline "`dv'" _newline "*****"
est tab, keep(post_price_ch_40m_abn_all) b(%7.4f) se(%7.4f) p(%7.2f)  
qui areg `dv' post_price_ch_feb2 i.date, absorb (ticker)
disp _newline "*****" _newline "Collapsed" _newline "`dv'" _newline "*****"
est tab, keep(post_price_ch_feb2) b(%7.4f) se(%7.4f) p(%7.2f) 
}

*********************************************
*      Table 8 Loan Volume                  *
*********************************************

*
*Uncollapsed

use bank_industry_time_panel,clear

gen ln_vol = ln(vol)
sort ticker industry date
egen ticker_ind = group(ticker industry) 

foreach dv of varlist ln_vol {
	 reghdfe `dv' post_price_ch_40m_abn_all   , absorb(ticker  i.industry#i.date#i.region_id2)  cluster(ticker_ind)  
	 reghdfe `dv' post_price_ch_feb2   , absorb(ticker i.industry#i.date#i.region_id2)  cluster(ticker_ind)  
}

*
*Collapsed

use bank_industry_time_panel, clear

collapse (mean) vol-post_price_ch_40m_abn_all region_id region_id2, by(ticker industry post)
egen date = group(post)

gen ln_vol = ln(vol) 
sort ticker industry date
egen ticker_ind = group(ticker industry) 

foreach dv of varlist ln_vol { 
	 reghdfe `dv' post_price_ch_40m_abn_all   , absorb(ticker i.industry#i.date#i.region_id2)  cluster(ticker_ind)  
	 reghdfe `dv' post_price_ch_feb2   , absorb(ticker i.industry#i.date#i.region_id2)  cluster(ticker_ind)   
}



log close






