clear all
capture log close
set more off
cd "$rootPath/data"

use data_master, clear

tsset snl_key time

collapse (mean) region_id2 ln_avg_yld_total_loans yld_total_loans ln_avg_total_loans ln_avg_loans_7plus ln_avg_loans_10plus ln_avg_car car  ln_avg_assets  ln_avg_nim nim ln_avg_net_inc avg* ln_avg_eps eps post_roaa post_div_yield post_loans_assets post_car post_assets post_assets2 post_manuf post_services post_mining  post_transport post_retail post_finance post_realestate post_ag post_other post_localgov post_foreign post_yld_total_loans post_price_ch_40m post_price_ch_40m_abn_all post_price_ch_feb2 zscore ln_avg_zscore dist_default ln_avg_dist_default implied_rating_id kdp_5yr_pct ln_avg_kdp_5yr_pct sd_return, by (ticker post)
egen date=group(post)

log using "$rootPath/logfiles/Tables_3_6_columns_3_4.log", replace

tsset ticker date



********************************
*      Table 3                 *
********************************

foreach var of varlist ln_avg_nim  ln_avg_eps ln_avg_net_inc {          
qui areg `var' post_price_ch_40m i.date, absorb (ticker)
disp _newline "*****" _newline "No Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
qui areg `var' post_price_ch_40m post_roaa post_div_yield post_loans_assets post_car post_assets post_assets2 post_manuf post_services post_mining  post_transport post_retail post_finance post_realestate post_ag post_other post_localgov post_foreign i.date, absorb (ticker)
disp _newline "*****" _newline "With Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
}

*************************************
*  Table 4, 5                       *
*************************************

foreach var of varlist avg_sd_return ln_avg_dist_default ln_avg_kdp_5yr_pct ln_avg_zscore ln_avg_assets ln_avg_car   {          
qui areg `var' post_price_ch_40m i.date, absorb (ticker)
disp _newline "*****" _newline "No Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
qui areg `var' post_price_ch_40m post_roaa post_div_yield post_loans_assets post_car post_assets post_assets2 post_manuf post_services post_mining  post_transport post_retail post_finance post_realestate post_ag post_other post_localgov post_foreign i.date, absorb (ticker)
disp _newline "*****" _newline "With Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
}

*************************************
* 		 Table 6 	    *
*************************************

foreach var of varlist avg_yld_total_loans ln_avg_loans_7plus {          
qui areg `var' post_price_ch_40m i.date, absorb (ticker)
disp _newline "*****" _newline "No Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
qui areg `var' post_price_ch_40m post_yld_total_loans post_roaa post_div_yield post_loans_assets post_car post_assets post_assets2 post_manuf post_services post_mining  post_transport post_retail post_finance post_realestate post_ag post_other post_localgov post_foreign i.date, absorb (ticker)
disp _newline "*****" _newline "With Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
}
log close
