clear all
capture log close
set more off
cd "$rootPath/data"

use data_master, clear

tsset snl_key time


log using "$rootPath/logfiles/Tables_3_6_columns_1_2.log", replace


********************************
*      Table 3                 *
********************************

foreach var of varlist ln_nim ln_eps ln_net_inc  {    
qui areg `var' post_price_ch_40m i.date, absorb(ticker) vce(robust)
disp _newline "*****" _newline "No Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
qui areg `var' post_price_ch_40m i.date post_roaa post_div_yield post_loans_assets post_car post_assets post_assets2 post_manuf post_services post_mining  post_transport post_retail post_finance post_realestate post_ag post_other post_localgov post_foreign, absorb(ticker)  vce(robust)
disp _newline "*****" _newline "With Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
}

*************************************
*  Table 4, 5                       *
*************************************

foreach var of varlist sd_return ln_dist_default ln_kdp_5yr_pct  ln_zscore ln_assets ln_car  {          
qui areg `var' post_price_ch_40m i.date, absorb(ticker) vce(robust)
disp _newline "*****" _newline "No Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
qui areg `var' post_price_ch_40m i.date post_roaa post_div_yield post_loans_assets post_car post_assets post_assets2 post_manuf post_services post_mining  post_transport post_retail post_finance post_realestate post_ag post_other post_localgov post_foreign, absorb(ticker)  vce(robust)
disp _newline "*****" _newline "With Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
}

*************************************
* 		 Table 6 	    *
*************************************

foreach var of varlist yld_total_loans  ln_loans_7plus  {          
qui areg `var' post_price_ch_40m i.date, absorb(ticker)     vce(robust)    
disp _newline "*****" _newline "No Controls" _newline "`var'" _newline "*****" 
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
qui areg `var' post_price_ch_40m i.date post_manuf post_services post_mining  post_transport post_retail post_finance post_realestate post_ag post_other post_localgov post_foreign post_yld_total_loans post_roaa post_div_yield post_loans_assets post_car post_assets post_assets2, absorb(ticker)  vce(robust)
disp _newline "*****" _newline "With Controls" _newline "`var'" _newline "*****"
est tab, keep(post_price_ch_40m) b(%7.4f) se(%7.4f) p(%7.2f) stats(N r2_a)
}
log close


