*********
*********
* This program calls all programs used to reproduce the results in:
* "Pushed Past the Limit? How Japanese Banks Reacted to Negative Rates," by Gee Hee Hong and John Kandrac
* All logfiles are saved in $rootpath/logfiles folder
*********
*********
clear all
set more off
set maxvar 32000
capture log close
*Set appropriate rootpath where the data, logfiles, and programs folders reside
global rootPath = "/SET/ROOT/PATH/replication_kit"


	// Table 2 - Summary stats table
	do "$rootPath/programs/Table_2_summary_stats.do"

	//  Tables 3-6 - Profits, riskiness, and balance sheet risk-taking regressions
	do "$rootPath/programs/Tables_3_6_collapsed_sample.do"
	do "$rootPath/programs/Tables_3_6_full_sample.do"

	// Table 7 - Loan supply regressions using a bank-industry-panel
	do "$rootPath/programs/Table_7_bank_industry_panel.do"

	// Table 8 - Robustness to abnormal returns and longer horizon
	do "$rootPath/programs/Table_8_robustness.do"

	// Tables 9-11 - Diff-in-Diff exercise using wsl deposit share exposure measure
	do "$rootPath/programs/Tables_9_11_diff_in_diff_exercise.do"

	// Table 12 - Determinants regression with actual 2015 BOJ reserves
	do "$rootPath/programs/Table_12_determinants_regression.do"

	// Table 13 - Placebo determinants regressions with actual BOJ reserves
	do "$rootPath/programs/Table_13_placebo_determinants_regressions.do"

